accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From els...@apache.org
Subject git commit: ACCUMULO-1828 Moving script to prevent potential m2e confusion.
Date Tue, 29 Oct 2013 21:20:19 GMT
Updated Branches:
  refs/heads/master ebbedb4fe -> 5c1078e37


ACCUMULO-1828 Moving script to prevent potential m2e confusion.


Project: http://git-wip-us.apache.org/repos/asf/accumulo/repo
Commit: http://git-wip-us.apache.org/repos/asf/accumulo/commit/5c1078e3
Tree: http://git-wip-us.apache.org/repos/asf/accumulo/tree/5c1078e3
Diff: http://git-wip-us.apache.org/repos/asf/accumulo/diff/5c1078e3

Branch: refs/heads/master
Commit: 5c1078e376036fdad4662a02df17f28fd7d05ddf
Parents: ebbedb4
Author: Josh Elser <elserj@apache.org>
Authored: Tue Oct 29 17:19:17 2013 -0400
Committer: Josh Elser <elserj@apache.org>
Committed: Tue Oct 29 17:19:17 2013 -0400

----------------------------------------------------------------------
 test/bin/run-test.sh              | 42 ----------------------------------
 test/src/test/scripts/run-test.sh | 42 ++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+), 42 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/accumulo/blob/5c1078e3/test/bin/run-test.sh
----------------------------------------------------------------------
diff --git a/test/bin/run-test.sh b/test/bin/run-test.sh
deleted file mode 100755
index d669d67..0000000
--- a/test/bin/run-test.sh
+++ /dev/null
@@ -1,42 +0,0 @@
-#!/usr/bin/env bash
-
-# Licensed to the Apache Software Foundation (ASF) under one or more
-# contributor license agreements.  See the NOTICE file distributed with
-# this work for additional information regarding copyright ownership.
-# The ASF licenses this file to You under the Apache License, Version 2.0
-# (the "License"); you may not use this file except in compliance with
-# the License.  You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-
-if [ ! -n "$1" ]; then
-    echo "Usage: `basename $0` TestClass1[,TestClass2,TestClass3] ..."
-    echo "       `basename $0` \"Prefix*IT[,Prefix2*IT]\" ..."
-    echo "       `basename $0` \"MyIT#method1+method2\" ..."
-    exit 1
-fi
-
-# Start: Resolve Script Directory
-SOURCE="${BASH_SOURCE[0]}"
-while [ -h "${SOURCE}" ]; do # resolve $SOURCE until the file is no longer a symlink
-   bin="$( cd -P "$( dirname "${SOURCE}" )" && pwd )"
-   SOURCE="$(readlink "${SOURCE}")"
-   [[ "${SOURCE}" != /* ]] && SOURCE="${bin}/${SOURCE}" # if $SOURCE was a relative
symlink, we need to resolve it relative to the path where the symlink file was located
-done
-bin="$( cd -P "$( dirname "${SOURCE}" )" && pwd )"
-# Stop: Resolve Script Directory
-
-cd $bin/..
-
-tests=$1
-shift
-
-# Let the user provide additional maven options (like -Daccumulo.it.forkCount=2)
-mvn verify -Dit.test=$tests -Dtest=testnamethatdoesntexist -DfailIfNoTests=false $@

http://git-wip-us.apache.org/repos/asf/accumulo/blob/5c1078e3/test/src/test/scripts/run-test.sh
----------------------------------------------------------------------
diff --git a/test/src/test/scripts/run-test.sh b/test/src/test/scripts/run-test.sh
new file mode 100755
index 0000000..d669d67
--- /dev/null
+++ b/test/src/test/scripts/run-test.sh
@@ -0,0 +1,42 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
+if [ ! -n "$1" ]; then
+    echo "Usage: `basename $0` TestClass1[,TestClass2,TestClass3] ..."
+    echo "       `basename $0` \"Prefix*IT[,Prefix2*IT]\" ..."
+    echo "       `basename $0` \"MyIT#method1+method2\" ..."
+    exit 1
+fi
+
+# Start: Resolve Script Directory
+SOURCE="${BASH_SOURCE[0]}"
+while [ -h "${SOURCE}" ]; do # resolve $SOURCE until the file is no longer a symlink
+   bin="$( cd -P "$( dirname "${SOURCE}" )" && pwd )"
+   SOURCE="$(readlink "${SOURCE}")"
+   [[ "${SOURCE}" != /* ]] && SOURCE="${bin}/${SOURCE}" # if $SOURCE was a relative
symlink, we need to resolve it relative to the path where the symlink file was located
+done
+bin="$( cd -P "$( dirname "${SOURCE}" )" && pwd )"
+# Stop: Resolve Script Directory
+
+cd $bin/..
+
+tests=$1
+shift
+
+# Let the user provide additional maven options (like -Daccumulo.it.forkCount=2)
+mvn verify -Dit.test=$tests -Dtest=testnamethatdoesntexist -DfailIfNoTests=false $@


Mime
View raw message